@import 'layout';

.eventSearchForm {
  --background-color-container: var(--color-black-10);

  --color-background-button-supplementary-hover: transparent;
  --color-background-button-supplementary-hover-focus: transparent;

  --fontsize-title: var(--fontsize-heading-s);

  --fontweight-clear-button: 500;

  --grid-gap: var(--spacing-l);
  --grid-gap-mobile: var(--spacing-s);

  --padding-container: var(--spacing-l) 0;

  --width-button: 17.625rem;
}

.filtersRow {
  display: flex;

  & > * {
    flex: 1;

    &:not(:last-child) {
      margin-right: var(--spacing-m);
    }
  }
}

.eventSearchForm {
  background-color: var(--background-color-container);
  padding: var(--padding-container);
}

.contentWrapper {
  display: grid;
  grid-gap: var(--grid-gap-mobile);

  @include respond_above(sm) {
    grid-gap: var(--grid-gap);
  }

  h2 {
    margin: 0;
    font-size: var(--fontsize-title);
  }
}

.buttonRow {
  display: grid;

  grid-gap: var(--grid-gap-mobile);

  @include respond_above(sm) {
    grid-gap: var(--grid-gap);
    grid-template-columns: 1fr var(--width-button);
  }

  .clearButtonWrapper {
    text-align: center;
    align-self: center;

    @include respond_above(sm) {
      text-align: right;
    }
  }
}
